<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public string $migration;

    /**
     * Run the migrations.
     */
    public function up(): void
    {
        \kernel\App::$db->schema->create('secret_code', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('user_id');
            $table->integer('code');
            $table->dateTime('code_expires_at')->nullable(true);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        \kernel\App::$db->schema->dropIfExists('secret_code');

    }
};
